ANNOUNCEMENT_FILE := $(BUILD_PREFIX)ANNOUNCEMENT

MOSTLY_CLEAN += $(ANNOUNCEMENT_FILE)

.PHONY: announce
announce: $(ANNOUNCEMENT_FILE)

$(ANNOUNCEMENT_FILE): $(ANNOUNCE) $(PYTHON_NEEDED) build/export_apkgs.py
	$(ANNOUNCE) \
		--out $@ \
		--releaseDir $(RELEASE_DIR) \
		$(addprefix --apkg , \
			$(patsubst %,'%', \
				$(shell PIPENV_VENV_IN_PROJECT=1 pipenv run \
					build/export_apkgs.py --dry-run -c content -t no)))
